## org.hibernate.property
Class EmbeddedPropertyAccessor

    java.lang.Object
      org.hibernate.property.EmbeddedPropertyAccessor

All Implemented Interfaces:
  PropertyAccessor

    public class EmbeddedPropertyAccessor

extends Object
implements PropertyAccessor

Author:
  Gavin King

Nested Class Summary
`static class` `EmbeddedPropertyAccessor.EmbeddedGetter`
`static class` `EmbeddedPropertyAccessor.EmbeddedSetter`

Constructor Summary
`EmbeddedPropertyAccessor()`

Method Summary
`Getter` `getGetter(Class theClass, String propertyName)` Create a "getter" for the named attribute
`Setter` `getSetter(Class theClass, String propertyName)` Create a "setter" for the named attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmbeddedPropertyAccessor

    public EmbeddedPropertyAccessor()

Method Detail

### getGetter

    public Getter getGetter(Class theClass,
                            String propertyName)
                     throws PropertyNotFoundException

  Description copied from interface: `PropertyAccessor`
  Create a "getter" for the named attribute

  Specified by:
    `getGetter` in interface `PropertyAccessor`
  Parameters:
    `theClass` - The class on which the property is defined.
    `propertyName` - The name of the property.
  Returns:
    An appropriate getter.
  Throws:
    `PropertyNotFoundException` - Indicates a problem interpretting the propertyName

### getSetter

    public Setter getSetter(Class theClass,
                            String propertyName)
                     throws PropertyNotFoundException

  Description copied from interface: `PropertyAccessor`
  Create a "setter" for the named attribute

  Specified by:
    `getSetter` in interface `PropertyAccessor`
  Parameters:
    `theClass` - The class on which the property is defined.
    `propertyName` - The name of the property.
  Returns:
    An appropriate setter
  Throws:
    `PropertyNotFoundException` - Indicates a problem interpretting the propertyName

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.